org.apache.nutch.fetcher

## Class FetchEntry

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.fetcher.FetchEntry

- All Implemented Interfaces:
    Configurable, Writable

      public class FetchEntry
      extends Configured
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchEntry()`
    `FetchEntry(Configuration conf, java.lang.String key, WebPage page)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `WebPage` | `getWebPage()`
    `void` | `readFields(java.io.DataInput in)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchEntry

          public FetchEntry()

    - #### FetchEntry

          public FetchEntry(Configuration conf,
                            java.lang.String key,
                            WebPage page)

  - ### Method Detail

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### getKey

          public java.lang.String getKey()

    - #### getWebPage

          public WebPage getWebPage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2019 The Apache Software Foundation